Skip to main content
Version: v4

Get indexer operational status

GET 

/v4/indexer/status

Return the current operational status of the indexer, including whether it is running, whether crawling is active, and any error information if crawling or the indexer has stopped. This endpoint is useful for monitoring and debugging indexer issues.

Responses​

Indexer status information

Response Headers
    X-Crawling-Status

    Current crawling status: 'active' or 'stopped'

    X-Indexer-Status

    Current indexer status: 'running' or 'stopped'

    X-Crawling-Reason

    Reason why crawling stopped (only present when crawling is stopped)

    X-Crawling-Error

    Error message that caused crawling to stop (only present when crawling is stopped)

    X-Crawling-Stopped-At

    ISO 8601 timestamp when crawling stopped (only present when crawling is stopped)